#pragma once

#include <cstddef>
#include <memory>

#include <Ship/Cargo.h>
#include <Ship/CargoFactory.h>

class AlcoholFactory : public CargoFactory<int, Alcohol::Type> {
public:
    std::unique_ptr<Cargo> create(size_t amount, int power, Alcohol::Type type) override {
        return std::make_unique<Alcohol>(amount, power, type);
    }
};
